mbed TLS v2.23.0

Data Fields
psa_tls12_prf_key_derivation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_tls12_prf_key_derivation_s:
[legend]

## Data Fields
uint8_t | left_in_block
uint8_t | block_number
psa_tls12_prf_key_derivation_state_t | state
uint8_t * | seed
size_t | seed_length
uint8_t * | label
size_t | label_length
psa_hmac_internal_data | hmac
uint8_t | Ai [PSA_HASH_MAX_SIZE]
uint8_t | output_block [PSA_HASH_MAX_SIZE]

## Detailed Description

Definition at line 228 of file crypto_struct.h.

## Field Documentation

## ◆ Ai

uint8_t psa_tls12_prf_key_derivation_s::Ai[PSA_HASH_MAX_SIZE]

Definition at line 248 of file crypto_struct.h.

## ◆ block_number

uint8_t psa_tls12_prf_key_derivation_s::block_number

Definition at line 239 of file crypto_struct.h.

## ◆ hmac

psa_hmac_internal_data psa_tls12_prf_key_derivation_s::hmac

Definition at line 247 of file crypto_struct.h.

## ◆ label

uint8_t* psa_tls12_prf_key_derivation_s::label

Definition at line 245 of file crypto_struct.h.

## ◆ label_length

size_t psa_tls12_prf_key_derivation_s::label_length

Definition at line 246 of file crypto_struct.h.

## ◆ left_in_block

uint8_t psa_tls12_prf_key_derivation_s::left_in_block

Definition at line 236 of file crypto_struct.h.

## ◆ output_block

uint8_t psa_tls12_prf_key_derivation_s::output_block[PSA_HASH_MAX_SIZE]

Definition at line 251 of file crypto_struct.h.

## ◆ seed

uint8_t* psa_tls12_prf_key_derivation_s::seed

Definition at line 243 of file crypto_struct.h.

## ◆ seed_length

size_t psa_tls12_prf_key_derivation_s::seed_length

Definition at line 244 of file crypto_struct.h.

## ◆ state

psa_tls12_prf_key_derivation_state_t psa_tls12_prf_key_derivation_s::state

Definition at line 241 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h